API-Dokumentation

API-Dokumentation


FileHost.net provides a simple HTTP API to integrate ours into your business or application.
All requests to the API should be only GET or POST
You can find your API key here - https://filehost.net/settings

Ratenlimits

API-Anfragen sind auf 10 pro Sekunde begrenzt – für mehr Anfragen kontaktieren Sie uns

Antwort
{"msg":"Too Many Requests","status":"429"}

Konto

Kontoinfo

Grunddaten Ihres Kontos abrufen

GET https://filehost.net/api/account/info?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
      "email": "[email protected]",
      "balance": "0.00000",
      "storage_used" :"24186265",
      "storage_left": 128824832615,
      "premim_expire": "2026-03-12 21:00:00
  }
}

Kontoberichte

Berichte Ihres Kontos abrufen (Standard: letzte 7 Tage)

GET https://filehost.net/api/account/stats?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
last
Bericht der letzten x Tage
Nein
from_date
Ab Datum - YYYY-MM-DD
Nein
to_date
Bis Datum - YYYY-MM-DD
Nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "profit_views": "0.00000",
      "downloads": "0",
      "views": "0",
      "day": "2026-03-12",
      "profit_total": "0.00000"
    },
    {
      "profit_views": "0.00000",
      "downloads": "0",
      "views": "0",
      "day": "2026-03-12",
      "profit_total": "0.00000"
    }
  ]
}

DMCA-Liste

Liste gemeldeter DMCA-Dateien abrufen (500 Ergebnisse pro Seite)

GET https://filehost.net/api/dmca/list?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
per_page
Ergebnisse pro Seite (Standard 500)
nein
page
Seitennummerierung
nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "reported_on": "2026-03-12 04:30:07",
      "protected_download": "yyy",
      "protected_embed": "zzz",
      "file_code": "xxx",
      "fld_id": "0",
      "disabled_on": "2026-03-12 05:00:07"
    }
  ]
}

Upload

Lokaler Upload

Lokale Dateien per API hochladen

GET https://filehost.net/api/upload/server?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "https://filehost.net/api/upload/server/01?key={your_api_key}"
}
Beispiel (cURL)
curl -X POST -F 'api_key={your_api_key}' -F '[email protected]' "https://filehost.net/api/upload/server/01?key={your_api_key}"
Beispiel (HTML)
<form enctype="multipart/form-data" action="https://filehost.net/api/upload/server/01?key={your_api_key}" method="post">
<input type="hidden" name="api_key" value="{your_api_key}">
<input name="file" type="file">
<input type="submit">
</form>
Antwort nach Upload
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "download_url": "https://filehost.net/d/xxx",
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "status": 200,
      "filecode": "xxx",
      "splash_img": "../assets/img/examples/splash/xxx.jpg",
      "canplay": 1,
      "size": "123456",
      "length": "123456",
      "uploaded": "2026-03-12 04:30:07",
      "protected_embed": "https://filehost.net/e/yyy",
      "protected_dl": "https://filehost.net/d/zzz",
      "title": "test_file"
    }
  ]
}

Kopieren/Klonen

Eigene oder fremde Datei kopieren/klonen

GET https://filehost.net/api/file/clone?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
fld_id
Ordner-ID (zum Kopieren in den Ordner)
Nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "embed_url": "https://filehost.net/e/xxx",
    "download_url": "https://filehost.net/d/xxx",
    "protected_download": "https://filehost.net/d/yyy",
    "protected_embed": "https://filehost.net/e/zzz",
    "filecode": "xxx"
  }
}

Remote-Upload

Neuer Link

Dateien über Direktlinks hochladen

GET https://filehost.net/api/upload/url?key={your_api_key}&url={upload_url}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
url
Upload-URL
Ja
fld_id
Upload in einen Ordner
Nein
new_title
Neuen Titel setzen
Nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "new_title": "",
  "status": 200,
  "total_slots": "100",
  "result": {
    "filecode": "98zukoh5jqiw"
  },
  "used_slots": "0"
}

Remote-Upload-Liste

Remote-Upload: Liste & Status

GET https://filehost.net/api/urlupload/list?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "bytes_total": "0",
      "created": "2026-03-12 04:30:07",
      "remote_url": "https://dropbox.com/hukbasd7k3fd",
      "status": "working",
      "file_code": "98zukoh5jqiw",
      "bytes_downloaded": "0",
      "folder_id": "0"
    }
  ]
}

Remote-Upload-Status

Remote-Upload-Status

GET https://filehost.net/api/urlupload/status?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode der Datei
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "bytes_total": "0",
      "created": "2026-03-12 04:30:07",
      "remote_url": "https://dropbox.com/hukbasd7k3fd",
      "status": "working",
      "file_code": "hjsnr087johj",
      "bytes_downloaded": "0",
      "folder_id": "0"
    }
  ]
}

Remote-Upload-Slots

Gesamt- & genutzte Remote-Upload-Slots abrufen

GET https://filehost.net/api/urlupload/slots?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "total_slots": "100",
  "used_slots": "10"
}

Remote-Upload-Aktionen

Verschiedene Aktionen für Remote-Upload ausführen

GET https://filehost.net/api/urlupload/actions?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
restart_errors
Alle Fehler neu starten
Ja
clear_errors
Alle Fehler löschen
Nein
clear_all
Alle löschen
Nein
delete_code
Übertragung löschen, file_code übergeben
Nein
Antwort
{
  "msg": "Errors restarted",
  "server_time": "2026-03-12 04:30:07",
  "status": 200
}

Ordner verwalten

Ordner erstellen

Ordner erstellen

GET https://filehost.net/api/folder/create?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
name
Name des Ordners
Ja
parent_id
Übergeordnete Ordner-ID
Nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "fld_id": "1234567"
  }
}

Ordner umbenennen

Alle Ordner

GET https://filehost.net/api/folder/rename?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
fld_id
Ordner-ID
Ja
name
Neuer Name des Ordners
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

Ordner & Dateien auflisten

Alle Ordner

GET https://filehost.net/api/folder/list?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
fld_id
Ordner-ID
Ja
only_folders
Nur Ordner auflisten (0 oder 1)
Nein
Antwort
{
    "msg":"OK",
    "status":200,
    "result":{
        "folders":[
            {
            "name":"Folder name",
            "code":"67299gduj3",
            "fld_id":"123"
            },
        ],
        "files": [
              {
                "download_url": "https://filehost.net/d/xxx",
                "single_img": "../assets/img/examples/snaps/xxx.jpg",
                "file_code": "xxx",
                "canplay": 1,
                "length": "1234",
                "views": "1",
                "uploaded": "2026-03-12 04:30:07",
                "public": "1",
                "fld_id": "0",
                "title": "test_file"
              }
            ],
    },
        "server_time":"2026-03-12 07:31:01"
}


Dateien verwalten

Dateiliste

Alle Dateien

GET https://filehost.net/api/file/list?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
page
Seitennummerierung
nein
per_page
Max. Videos pro Seite (max. 200)
nein
fld_id
Videos in einem Ordner
nein
created
Show files uploaded after timestamp (Ex : 2026-03-12 03:15:19)
Or specify number to show only files uploaded X minutes ago
nein
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "total_pages": 1,
    "files": [
      {
        "download_url": "https://filehost.net/d/xxx",
        "single_img": "../assets/img/examples/snaps/xxx.jpg",
        "file_code": "xxx",
        "canplay": 1,
        "length": "1234",
        "views": "1",
        "uploaded": "2026-03-12 04:30:07",
        "public": "1",
        "fld_id": "0",
        "title": "test_file"
      }
    ],
    "results_total": "1",
    "results": 1
  }
}

Dateistatus

Status Ihrer Datei prüfen

GET https://filehost.net/api/file/check?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "status": "Active",
      "filecode": "xxx"
    }
  ]
}

Dateiinfo

Dateiinfo abrufen

GET https://filehost.net/api/file/info?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "status": 200,
      "filecode": "xxx",
      "splash_img": "../assets/img/examples/splash/xxx.jpg",
      "canplay": 1,
      "size": "123456",
      "views": "0",
      "length": "123456",
      "uploaded": "2026-03-12 04:30:07",
      "last_view": "",
      "protected_embed": "/e/yyy",
      "protected_dl": "/d/zzz",
      "title": "test_file"
    }
  ]
}

Dateibild

Splash-, Einzel- oder Vorschaubild der Datei abrufen

GET https://filehost.net/api/file/image?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "status": 200,
      "filecode": "xxx",
      "title": "test_file",
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "thumb_img": "../assets/img/examples/thumbnails/xxx.jpg",
      "splash_img": "../assets/img/examples/splash/xxx.jpg"
    }
  ]
}

Umbenennen

Datei umbenennen

GET https://filehost.net/api/file/rename?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
title
Neuer Dateiname
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

Verschieben

Datei von einem Ordner in einen anderen verschieben

GET https://filehost.net/api/file/move?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
file_code
Dateicode
Ja
fld_id
Ordner-ID zum Verschieben (0 = Hauptverzeichnis)
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

Dateien durchsuchen

GET https://filehost.net/api/search/videos?key={your_api_key}
Parameter
Beschreibung
Pflicht
key
Ihr API-Schlüssel
Ja
search_term
Suchbegriff
Ja
Antwort
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

Extras

Remote-Splash-Bild

Splash-Bild direkt per URL laden

URL https://filehost.net/e/xxx?c_poster=https://example.com/image.jpg
Parameter
Beschreibung
Pflicht
c_poster
Splash-Bild
Ja

Remote-Untertitel

Mehrere Untertitel direkt per URL laden

URL https://filehost.net/e/xxx?c1_file=https://example.com/sub.vtt&c1_label=English
Parameter
Beschreibung
Pflicht
c1_file
Untertitel-URL (srt oder vtt)
Ja
c1_label
Untertitelsprache oder Label
Ja

Remote-Untertitel-JSON

Mehrere Untertitel per URL im JSON-Format laden

URL https://filehost.net/e/xxx?subtitle_json=https://example.com/sub.json
Parameter
Beschreibung
Pflicht
subtitle_json
Mehrere Untertitel im JSON-Format
Ja
Remote-Untertitel: JSON-Beispiel
[
 {"src":"https://example.com/name_en.vtt", "label":"English", default: true},
 {"src":"https://example.com/name_fr.vtt", "label":"French"}
]

Offizielle Clients

Offizieller PHP-Client

Demnächst.

Offizieller Python-Client

Demnächst.

Kontakt

Für API-Zugang und Hilfe bei der Integration wenden Sie sich an [email protected].